@echo off

echo please input vps ip address or hostname 
echo For example
echo ipv4:111.111.111.111
echo ipv6:[2400:1111:2222:3333:4444:5555:6666:7777]
echo hostname:www.myvps.com
echo ------------------------------------------------

set /p myip=vps ip:
echo ------------------------------------------------

echo please input ssh port
echo default:22
echo ------------------------------------------------

set /p myport=vps ssh port:
if not defined myport set myport=22
echo ------------------------------------------------

echo please input phoneIndex
echo Cannot set duplicate values
echo default:1
echo ------------------------------------------------

set /p phoneindex=phone index:
if not defined phoneindex set phoneindex=1
echo ------------------------------------------------

set /a adbport=%phoneindex%+5037
set /a scrcptport=%phoneindex%+27183

ssh -i "%USERPROFILE%\.ssh\id_rsa" -p %myport% root@%myip% "adb start-server"

start cmd /C ssh -vCN -L%adbport%:localhost:5037 -L%scrcptport%:localhost:%scrcptport% -i "%USERPROFILE%\.ssh\id_rsa" -p %myport% root@%myip%

powershell sleep 5

set ADB_SERVER_SOCKET=tcp:localhost:%adbport%
scrcpy.exe --port=%scrcptport% --force-adb-forward -b1m -m800 --max-fps=15 --keyboard=sdk --mouse=sdk --stay-awake --turn-screen-off --power-off-on-close --pause-on-exit=if-error %*

pause